Page MenuHomePhabricator

Make it clear multi-line templates and tables are not supported
Closed, ResolvedPublic

Description

This task is about exploring what could be done to make it clear to people that the Reply tool does not currently [1] support mutli-line templates and tables.

Background

In T241388#5830983, we shared the assumptions we'd made about the Reply tool's support, or lack thereof, for multi-line templates and tables:

  1. Contributors will not expect the new replying workflow to support templates that contain line breaks considering the existing, full talk page editing, workflow does not support this functionality either.
  2. If contributors do attempt to use templates that contain line breaks, we are assuming the real-time preview (T238177) will communicate to them this functionality is not [yet] supported.

This task is about coming up with a way to make it clear to people that the Reply tool will not be able to support multi-line templates and tables until the new syntax T230683 is proposing is implemented.


  1. T230683: introducing new syntax for multiline list items / talk page comments will "unlock" support for multi-line templates and tables within indented replies.

Event Timeline

ppelberg created this task.Mar 11 2020, 4:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 4:05 PM
ppelberg added a subscriber: Esanders.

Multiline templates are unsupported in the same way that tables are unsupported. Our current thinking is that the preview gives the user sufficient warning that their syntax won't work. Until we get proper multi-line list syntax (which we a proposing an RFC for) this will be a WONTFIX.

+1. Documented here: T241388#5779747.

Note: if the below [1] ends up not being true (read: we find, through the review of edits made using the Replying tool, people are attempting to post multiline templates using the new workflow), I think we should explore a way of communicating explicitly to people the limitations of the Replying workflow (e.g. like indented comments published full-page editing, the Replying workflow does not support multi-line templates or tables). Here is a ticket for that potential future work: T247421


Our current thinking is that the preview gives the user sufficient warning that their syntax won't work. Until we get proper multi-line list syntax (which we a proposing an RFC for) this will be a WONTFIX.

Aklapper renamed this task from Make it clear mutli-line templates and tables are not supported to Make it clear multi-line templates and tables are not supported.Mar 11 2020, 4:16 PM
ppelberg updated the task description. (Show Details)Jun 3 2020, 12:34 AM
ppelberg added a subscriber: matmarex.

That prevents inserting templates by typing {{. You can bypass this by copy-pasting a template from the normal visual editor, but I'm not sure if we want to try to prevent that.

ppelberg closed this task as Resolved.Jul 27 2020, 11:37 PM
ppelberg claimed this task.

I am resolving this task because its sub-tasks are resolved.